QXmpp: QXmppJingleCandidate Class Reference

QXmpp Version: 1.14.4

Loading...
Searching...
No Matches
QXmppJingleCandidate Class Reference

The QXmppJingleCandidate class represents a transport candidate as specified by XEP-0176: Jingle ICE-UDP Transport Method. More...

`#include <QXmppJingleData.h>`

## Public Types
enum | Type { HostType , PeerReflexiveType , ServerReflexiveType , RelayedType }
| This enum is used to describe a candidate's type. More...

## Public Member Functions
| QXmppJingleCandidate ()
| QXmppJingleCandidate (const QXmppJingleCandidate &other)
| Copy-constructor.
| QXmppJingleCandidate (QXmppJingleCandidate &&)
| Move-constructor.
QXmppJingleCandidate & | operator= (const QXmppJingleCandidate &other)
| Assignment operator.
QXmppJingleCandidate & | operator= (QXmppJingleCandidate &&)
| Move-assignment operator.
int | component () const
| Returns the candidate's component ID.
void | setComponent (int component)
| Sets the candidates's component ID.
QString | foundation () const
void | setFoundation (const QString &foundation)
int | generation () const
void | setGeneration (int generation)
QHostAddress | host () const
void | setHost (const QHostAddress &host)
| Sets the candidate's host address.
QString | id () const
| Returns the candidate's unique identifier.
void | setId (const QString &id)
| Sets the candidate's unique identifier.
int | network () const
| Returns the network index (starting at 0) the candidate is on.
void | setNetwork (int network)
| Sets the network index (starting at 0) the candidate is on.
quint16 | port () const
| Returns the candidate's port number.
void | setPort (quint16 port)
| Sets the candidate's port number.
int | priority () const
| Returns the candidate's priority.
void | setPriority (int priority)
| Sets the candidate's priority.
QString | protocol () const
| Returns the candidate's protocol (e.g. "udp").
void | setProtocol (const QString &protocol)
| Sets the candidate's protocol (e.g. "udp").
QXmppJingleCandidate::Type | type () const
| Returns the candidate type (e.g. "host").
void | setType (QXmppJingleCandidate::Type)
| Sets the candidate type (e.g. "host").
bool | isNull () const
| Returns true if the host address or port are empty.

## Detailed Description

The QXmppJingleCandidate class represents a transport candidate as specified by XEP-0176: Jingle ICE-UDP Transport Method.

## Member Enumeration Documentation

## ◆ Type

enum QXmppJingleCandidate::Type

This enum is used to describe a candidate's type.

Enumerator
HostType | Host candidate, a local address/port.
PeerReflexiveType | Peer-reflexive candidate, the address/port as seen from the peer.
ServerReflexiveType | Server-reflexive candidate, the address/port as seen by the STUN server
RelayedType | Relayed candidate, a candidate from a TURN relay.

## Constructor & Destructor Documentation

## ◆ QXmppJingleCandidate()

QXmppJingleCandidate::QXmppJingleCandidate | ( |  | ) |

Constructs an empty candidate.

## Member Function Documentation

## ◆ foundation()

QString QXmppJingleCandidate::foundation | ( |  | ) | const

Returns the candidate's foundation.

Since
  QXmpp 0.9

## ◆ generation()

int QXmppJingleCandidate::generation | ( |  | ) | const

Returns the candidate's generation.

Since
  QXmpp 0.9

## ◆ host()

QHostAddress QXmppJingleCandidate::host | ( |  | ) | const

Returns the candidate's host address.

## ◆ setFoundation()

void QXmppJingleCandidate::setFoundation | ( | const QString & | foundation | ) |

Sets the candidate's foundation.

Parameters

  foundation |

Since
  QXmpp 0.9

## ◆ setGeneration()

void QXmppJingleCandidate::setGeneration | ( | int | generation | ) |

Sets the candidate's generation.

Parameters

  generation |

Since
  QXmpp 0.9

The documentation for this class was generated from the following files:

- QXmppJingleData.h
- QXmppJingleData.cpp